window.setCryptEngine Sets the crypt engine for a window that supports it
Usage
window.setCryptEngine [-q] [-n] [-m] <window_id:integer> <enginename:string> <hex_encrypt_key:string> [hex_decrypt_key:string]
Description
Sets the specified cryptographic engine for the window. If <enginename> is empty then any current encryption engine is removed (i.e. encrypting is disabled). The must be both expressed in hexadecimal notation and are internally transformed in bytes. If only the encrypt key is specified then it will be used for both encrypting and decrypting. This command works only if cryptography support is compiled in.
Switches
-q | --quiet
Be quiet: do echo the raw data.
-n | --onlydecrypt
Disables encryption
-m | --onlyencrypt
Disables decryption
Examples
# This is a really lame example :D alias(saylame) { window.setCryptEngine $window Lamerizer say $0- window.setCryptEngine $window } saylame Hello eleet!
See also
$asciitohex, $features

Index, Commands